#651 Not recieving git commit emails

fixed
Phoebetria
2013-06-06
2012-09-19
No

Hi,

I don't seem to be getting git commit emails. I've checked with my email provider to make sure they aren't being eaten by a spam filter, but this doesn't seem to be the case. I updated my email address (in my SF profile) about 2 or 3 days ago, so maybe this is related?

Cheers,
Craig

Discussion

  • Anonymous - 2012-09-19
    • status: unread --> pending
    • assigned_to: Chris Tsai
     
  • Anonymous - 2012-09-19

    Greetings,

    Please check https://sourceforge.net/auth/prefs/ to ensure that everything you expect is included there.

    Let me know.

    Regards,
    Chris Tsai, SourceForge.net Support

     
  • Craig Robbins

    Craig Robbins - 2012-09-19

    Thanks Chris,

    I've checked all the preferences and they are as expected. I did get notification by email of this ticket being updated, so possibly the issue has been resolved. If it's ok can the ticket remain open and I'll let you know if I get commit messages from git in an hour or so (when I have something to commit)

    Cheers
    Craig

     
  • Craig Robbins

    Craig Robbins - 2012-09-20

    I'm still not getting commit emails. Although every now and then one gets through.

    This is the response from my mail server host (I opened another ticket today) (edited to remove my real email address). Not very helpful, I know


    Hi Craig,

    Thank you for your contact.

    Unfortunately, from the information provided I am not able to determine
    any causes for this issue. In order for us to investigate, we would need
    to get email headers for a delayed email, or for an email that was sent
    as carbon copy recipient.

    I understand that an email address @ sourceforge.net is attempting to
    send an email to <@@@@the email address in my sourceforge account admin>. The email however is not
    arriving at the recipient address and no bounce back is being returned
    to the sender. This type of problem can occur for a number of reasons
    ranging from the sender being blocked by the recipient server, the
    sending server having some type of issue, the receiving server having an
    issue or a mail server in between the sender and recipient having an issue.

    To determine if the email that the sender is sending is actually
    arriving on our server, we will need the sender to send a test email to
    your <@@@@the email address in my sourceforge account admin> account as well as CC an alternative email
    address that isn't having a problem (such as a free gmail, yahoo,
    hotmail email address). The sent email must be one single email sent to
    both parties by adding a second recipient as a CC address. The email
    should not be two separately sent emails. Once the sender sends the one
    email to both addresses, the successful email should arrive in the
    alternative email account. Obtain the email headers from this email and
    reply back to this email with those email headers.

    The email headers will provide us with the exact time the email was sent
    from the senders server, the exact email address it was sent from and to
    as well as other information. We can get our system administrators to
    scan our mail server logs to see if this email hit our mail server. If
    the email hit our mail servers, we will be able to tell you if and why
    it was rejected or provide you further information regarding the email.
    If however the email never hit our server, it means a problem occurred
    with the email before our mail server got involved in the communication
    and unfortunately in this case, there isn't much we can do to assist in
    resolving the problem.

    Hopefully this isn't the case and we will be able to assist you in
    resolving this problem. Once you obtain the above mentioned email
    headers, please provide them to us in a reply email.

     
  • Craig Robbins

    Craig Robbins - 2012-09-21

    The issue seems to have resolved itself.

     
  • Anonymous - 2012-09-21

    Okay, so just to confirm, you're getting all the git emails now? I was thinking perhaps it was sending only for certain branches or something like that.

    Regards,
    Chris Tsai, SourceForge.net Support

     
  • Craig Robbins

    Craig Robbins - 2012-09-22

    No, I spoke too soon yesterday.

    I made 12 or more commits (pushes) to the V1.2.x branch yesterday and this morning and only received email notification for 4 of them :-(

    Edit: none of my commits from this morning (in the last 2 hours) have resulted in an email notification

     
    Last edit: Craig Robbins 2012-09-22
  • Craig Robbins

    Craig Robbins - 2012-09-25

    I now seem to be getting NO emails from sourceforge (git, project updates, nothing)

     
  • Anonymous - 2012-09-25

    Hello,

    Perhaps you want to go back to your mail host, one piece of information that you might have missed is that we send this via the mail alias, so the "To:" address in the header will actually be "craigrobbins@users.sf.net", perhaps that changes things?

    Regards,
    Chris Tsai, SourceForge.net Support

     
  • Craig Robbins

    Craig Robbins - 2012-09-26

    Hi Chris,

    The host is the same (my previous email address was a "catch all" with the provider with spam filter galore. Instead I changed the email address to one of my real ones. What I will do is change to an email address known to work and see if that changes things. Thanks very much with your help on this (it's probably not even a SF thing now that more information is coming to light, so double thanks).

     
  • Anonymous - 2012-09-26

    The configured email address for the commits shouldn't have any affect on the notification emails.

     
  • Anonymous - 2012-10-04

    Can I get an update on this? Were you able to get this working?

    Thanks,
    Chris Tsai, SourceForge.net Support

     
  • Craig Robbins

    Craig Robbins - 2012-10-04

    Hi Chris,

    I haven't received a git update since the end of last month. Indeed I didn't recieve a notification of the update to this ticket you made 2012-09-26, either. I have just updated my email address to another one, so we'll see how it goes today

     
  • Anonymous - 2012-10-04

    Okay, thanks, keep me posted.

    Also, I've been seeing some odd behavior with notifications myself lately (that is, I've been missing some myself since yesterday), for what it's worth.

     
  • Craig Robbins

    Craig Robbins - 2012-10-04

    On 5/10/2012 1:09 AM, Chris Tsai wrote:

    Can I get an update on this? Were you able to get this working?

    Thanks,
    Chris Tsai, SourceForge.net Support


    site-support:651 Not recieving git commit emails

    Status: pending Labels: email git Created: Wed Sep 19, 2012
    12:23 AM UTC by Craig Robbins Last Updated: Wed Sep 26, 2012 08:11
    PM UTC Owner: Chris Tsai

    Hi,

    I don't seem to be getting git commit emails. I've checked with my
    email provider to make sure they aren't being eaten by a spam filter,
    but this doesn't seem to be the case. I updated my email address (in
    my SF profile) about 2 or 3 days ago, so maybe this is related?

    Cheers,
    Craig


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/forge/site-support/651/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

    Hi Chris,

    I have not received a git update email since 30/9/2012. I'll change my
    email now.

    Regards,
    Craig

     
  • Craig Robbins

    Craig Robbins - 2012-10-04

    Ok, I have changed to a gmail email address and am still not getting commit emails (I got one today, but I have made 3 or 4 pushes). :-(

    Checked junk email folder on gmail web interface and they're not there either.

     
  • Anonymous - 2012-10-05

    Okay, since the issue seems intermittent, I'm thinking that this is likely related to [allura:tickets:#4994]

    I assume that will fix this, but if not, we can circle back after that's fixed.

    Regards,
    Chris Tsai, SourceForge.net Support

     
  • Anonymous - 2012-10-05
    • labels: email git --> email git, engr, nf-4994
    • status: pending --> assigned
     
  • Craig Robbins

    Craig Robbins - 2012-10-10

    Hi Chris,

    Since changing my email address last week (6 days ago) I haven't received a single commit email. (Checked spam folder also)

    Cheers,
    Craig

    Edit: Yes, it definitely might be related to the Ticket you linked

     
    Last edit: Craig Robbins 2012-10-10
  • Craig Robbins

    Craig Robbins - 2012-11-07

    Just an update. Not receiving any project-related email notifications now.

     
  • Anonymous - 2013-05-30
    • status: assigned --> pending
     
  • Anonymous - 2013-05-30

    Greetings,

    Today (2013-05-30) we just pushed some changes that we believe should have fixed missing notification mail issues for many users. That said, due to the intermittent nature of this bug, it is tough to verify that this has completely fixed this. Please be on the lookout if you're still missing notifications and let me know.

    Regards,
    Chris Tsai, SourceForge.net Support

     
  • Anonymous - 2013-06-06
    • status: pending --> fixed
     
  • Anonymous - 2013-06-06

    As far as we can tell, this has been fixed. If you are experiencing further problems, please open a new ticket.

    Regards,
    Chris Tsai, SourceForge.net Support

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks